; ----------------------------------------------------------------------------
; AutoIt Version: 0.0.0
; Author:         IVAN PEREZ <comdimor@uio.satnet.net>
; Script Function:
;	.
; ----------------------------------------------------------------------------
#include <Constants.au3>
#include <GuiConstants.au3>
$PidApp2 = Run("app2.exe", "", @SW_HIDE, $STDIN_CHILD + $STDOUT_CHILD + $STDERR_CHILD)


GUICreate("Communicator", 392, 323, (@DesktopWidth - 392) / 2, (@DesktopHeight - 323) / 2, $WS_OVERLAPPEDWINDOW + $WS_VISIBLE + $WS_CLIPSIBLINGS)
$EditRead = GUICtrlCreateEdit("", 20, 20, 350, 150)
$InputWrite = GUICtrlCreateInput("", 20, 210, 350, 30)
$ButtonReceive = GUICtrlCreateButton("Receive", 140, 270, 100, 30)
$ButtonSend = GUICtrlCreateButton("Send", 20, 270, 100, 30)
$ButtonExit = GUICtrlCreateButton("Exit", 260, 270, 110, 30)
$Receive = ""
$Send = ""

GUISetState()
While 1
   $msg = GUIGetMsg()
   Select
      Case $msg = $GUI_EVENT_CLOSE
         ExitLoop
      Case $msg = $ButtonReceive
         $dummy = StdinWrite($PidApp2, 'dummy') 
         $Receive = StdoutRead($PidApp2)
         If @error Then Exit
         If StringInStr($Receive, 'DoNothing') Then
            $Receive = StringReplace($Receive, 'DoNothing', '')
         EndIf
         GUICtrlSetData($EditRead, $Receive, 1)
         
      Case $msg = $ButtonSend
         $Send = GUICtrlRead($InputWrite)
         GUICtrlSetData($InputWrite, '')
         If $Send <> "" Then
            $Sent = StdinWrite($PidApp2, $Send)
         ElseIf $Send == "" Then
            MsgBox(0, "error", "A string of text must be sent to app 2")
		EndIf
		
      Case $msg = $ButtonExit
         $Send = StdinWrite($PidApp2, "Close")
         ExitLoop
   EndSelect
WEnd
Exit

